/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConexionRutaLocalidadeRemovida;
import com.rjconsultores.ventaboletos.entidad.Parada;

/**
 *
 * @author valdevirsp
 */
public interface ConexionRutaLocalidadeRemovidaDAO extends GenericDAO<ConexionRutaLocalidadeRemovida, Integer> {

	public void removerPorParada(Parada parada);

	public ConexionRutaLocalidadeRemovida obtenerPorParadaId(Integer id);

	public List<ConexionRutaLocalidadeRemovida> obtenerPorParadaIdList(List<Long> paradaIdList);
	
	public ConexionRutaLocalidadeRemovida obtenerPorParadaIdEConexionrutaconfId(Integer conexionRutaConfId,Integer paradaId);

	public List<ConexionRutaLocalidadeRemovida> obtenerPorConexionrutaconfIdEParadaIdList(Integer conexionRutaConfId,List<Long> paradaIdList);
	
	public void removerPorConexionrutaconfIdePorParada(Integer conexionrutaconfId,Parada parada);
	
	public void removerTodosPorConexionrutaconfId(Integer conexionRutaConfId);
	
	
}
